Subject: Re: [PATCH v2] net: dsa: mv88e6xxx: Revise irq setup ordering

From: Andrew Lunn <[email-masked]>
Date: Tue, 5 Feb 2019 20:54:38 +0100

> My hunch is the second hunk of the original patch will fix this.

O.K.

But please fully explain how the race happens and how the fix fully
fixes it. I don't really want to add code which just makes the race
window smaller, but the race still happens. That helps nobody.

In the end, i think you will end up polling. If so, feel free to
submit a patch which makes the poll interval build time configurable.

       Andrew